unit avTagProp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TavTagPropForm = class(TForm)
    edTagName: TEdit;
    edTransform: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    btOk: TBitBtn;
    btCancel: TBitBtn;
    Label6: TLabel;
    Label7: TLabel;
    cmbVisualizator: TComboBox;
    cbVisualizator: TCheckBox;
    Label5: TLabel;
    Label3: TLabel;
    Label8: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure cmbVisualizatorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
uses
  arcviewer, avBase;

{$R *.dfm}

procedure TavTagPropForm.FormCreate(Sender: TObject);
var
  A: TVisulizators;
  i: integer;
begin
  cmbVisualizator.Clear;

  if Owner.Owner.ClassType = TArcViewerForm then begin
    A := (Owner.Owner as TArcViewerForm).Visulizators;

    for i:=0 to length(A.Items)-1 do begin
      cmbVisualizator.AddItem(A.Items[i].Name, A.Items[i]);
    end;

  end;


end;

procedure TavTagPropForm.cmbVisualizatorClick(Sender: TObject);
begin
  cbVisualizator.Checked := true;
end;

end.
